<?xml version="1.0" encoding="utf-8"?>
<odoo>
  <data>

    <!-- bms_sms_config -->
    <record model="ir.ui.view" id="bms_sms_config_tree_view">
      <field name="name">bms.sms.config.tree</field>
      <field name="model">bms.sms.config</field>
      <field name="arch" type="xml">
        <tree string="Tin nhắn mẫu" create="false">
          <field name="name"/>
          <field name="apply_to" />
          <field name="accent"/>
          <field name="co_hieu_luc"/>
          <field name="sms_content"/>
        </tree>
      </field>
    </record>

    <record model="ir.ui.view" id="bms_sms_config_form_view">
      <field name="name">bms.sms.config.form</field>
      <field name="model">bms.sms.config</field>
      <field name="arch" type="xml">
        <form string="SMS Template">
          <sheet>
            <div class="oe_title">
              <h1>
                <field name="name" default_focus="1" placeholder="SMS tittle"/>
              </h1>
            </div>
            <group>
              <field name="apply_to" readonly="1"/>
              <field name="accent"/>
              <field name="co_hieu_luc"/>
              <field name="sms_content"/>
            </group>
          </sheet>
        </form>
      </field>
    </record>

    <record model="ir.actions.act_window" id="bms_sms_config_list_view">
      <field name="name">Cấu hình tin nhắn mẫu</field>
      <field name="type">ir.actions.act_window</field>
      <field name="res_model">bms.sms.config</field>
      <field name="view_mode">tree,form</field>
      <field name="view_id" ref="bms_sms_config_tree_view"/>
    </record>

  </data>
</odoo>
